Bug 1181212 - Review Request: golang-googlecode-go-decimal-inf - Package implementing "infinite-precision" decimal arithmetic
Summary: Review Request: golang-googlecode-go-decimal-inf - Package implementing "infi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-12 15:36 UTC by Jan Chaloupka
Modified: 2015-02-02 17:06 UTC (History)
2 users (show)

Fixed In Version: golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:55:28 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-01-12 15:36:11 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-go-decimal-inf/golang-googlecode-go-decimal-inf.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-go-decimal-inf/golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc20.src.rpm

Description: Package inf (type inf.Dec) implements "infinite-precision" decimal arithmetic.
"Infinite precision" describes two characteristics: practically unlimited
precision for decimal number representation and no support for calculating
with any specific fixed precision.
Although there is no practical limit on precision,
inf.Dec can only represent finite decimals.

This package is currently in experimental stage and the API may change.

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8591378

$ rpmlint golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc20.src.rpm golang-googlecode-go-decimal-inf-devel-0-0.1.hg42ca6cd68aa9.fc20.noarch.rpm golang-googlecode-go-decimal-inf.spec
golang-googlecode-go-decimal-inf-devel.noarch: W: spelling-error %description -l en_US speter -> peter, specter, pester
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Upstream: http://godoc.org/speter.net/go/exp/math/dec/inf

Repo: https://code.google.com/p/go-decimal-inf/source/browse/?repo=exp

Comment 1 Lokesh Mandvekar 2015-01-13 15:10:10 UTC
- license valid and correct
- specfile conforms to golang packaging draft
- only sources installed atm

Package approved

Comment 2 Jan Chaloupka 2015-01-15 11:36:09 UTC
New Package SCM Request
=======================
Package Name: golang-googlecode-go-decimal-inf
Short Description: Package implementing "infinite-precision" decimal arithmetic
Upstream URL: http://godoc.org/speter.net/go/exp/math/dec/inf
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-01-15 13:35:57 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-16 11:00:53 UTC
golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc20

Comment 5 Fedora Update System 2015-01-16 11:01:10 UTC
golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc21

Comment 6 Fedora Update System 2015-01-16 11:01:28 UTC
golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.el6

Comment 7 Fedora Update System 2015-01-16 19:11:26 UTC
golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-01-27 02:55:28 UTC
golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2015-01-27 03:00:46 UTC
golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-02-02 17:06:48 UTC
golang-googlecode-go-decimal-inf-0-0.1.hg42ca6cd68aa9.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.